/* ==================================
   IMPORTS
================================== */

@import url("animations.css");
@import url("branding.css");
@import url("buttons.css");
@import url("dashboard.css");
@import url("forms.css");
@import url("layout.css");
@import url("modals.css");
@import url("notificaciones.css");
@import url("perfil.css");
@import url("sidebar.css");
@import url("tables.css");
@import url("utilities.css");
@import url("calendario.css");
@import url("roles.css");



/* ==================================
   VARIABLES
================================== */

:root{

    /* Colores principales */

    --color-primary:#198754;
    --color-primary-dark:#157347;
    --color-primary-light:#1f9f62;
    --color-primary-extra:#0b5d3b;

    /* Fondos */

    --color-body:#eef2f6;
    --color-surface:#ffffff;
    --color-border:#edf1f5;

    /* Texto */

    --color-text:#212529;
    --color-text-light:#6c757d;
    --color-text-muted:#64748b;

    /* Sombras */

    --shadow-sm:0 2px 8px rgba(0,0,0,.08);
    --shadow-md:0 10px 25px rgba(0,0,0,.12);
    --shadow-lg:0 18px 40px rgba(0,0,0,.18);

    /* Bordes */

    --radius-sm:10px;
    --radius-md:16px;
    --radius-lg:24px;
    --radius-xl:30px;

}

/* ==================================
   GENERAL
================================== */

body{
    background:var(--color-body);
}


/* ==================================
   NAVBAR
================================== */

.navbar{
    background:#198754 !important;
}


/* ==================================
   CARDS
================================== */

.card{
    border:none;
    border-radius:16px;
    background:#fff;
}

.card-header{
    background:#fff;
    border-bottom:1px solid #edf1f5;
}

.card-body{
    padding:15px;
}